Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `incus config device add`

Add instance devices

## Synopsis

Description: Add instance devices

    incus config device add [<remote>:]<instance> <device> <type> [key=value...] [flags]

## Examples

      incus config device add [<remote>:]instance1 <device-name> disk source=/share/c1 path=/opt
          Will mount the host's /share/c1 onto /opt in the instance.

      incus config device add [<remote>:]instance1 <device-name> disk pool=some-pool source=some-volume path=/opt
          Will mount the some-volume volume on some-pool onto /opt in the instance.

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus config device - Manage devices